Registered office and every registered branch of one company.
curl --request GET \
--url https://api.syrto.ai/companies/{id}/branches \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.syrto.ai/companies/{id}/branches"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.syrto.ai/companies/{id}/branches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.syrto.ai/companies/{id}/branches",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.syrto.ai/companies/{id}/branches"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.syrto.ai/companies/{id}/branches")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.syrto.ai/companies/{id}/branches")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"companyId": "<string>",
"headquarters": {
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"postalCode": "<string>",
"countryCode": "<string>",
"nuts1": "<string>",
"nuts2": "<string>",
"nuts3": "<string>",
"lau": "<string>"
},
"branches": [
{
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"postalCode": "<string>",
"countryCode": "<string>",
"nuts1": "<string>",
"nuts2": "<string>",
"nuts3": "<string>",
"lau": "<string>"
}
],
"branchesTotal": 1,
"truncated": true
},
"meta": {
"requestId": "<string>",
"endpoint": "<string>",
"usage": {
"quantity": 123,
"unit": "<string>"
},
"warnings": [
{
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "missing_api_key",
"message": "<string>",
"requestId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "missing_api_key",
"message": "<string>",
"requestId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "missing_api_key",
"message": "<string>",
"requestId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "missing_api_key",
"message": "<string>",
"requestId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "missing_api_key",
"message": "<string>",
"requestId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "missing_api_key",
"message": "<string>",
"requestId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "missing_api_key",
"message": "<string>",
"requestId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "missing_api_key",
"message": "<string>",
"requestId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "missing_api_key",
"message": "<string>",
"requestId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "missing_api_key",
"message": "<string>",
"requestId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}Interactive reference
Branches
All branches in one response (up to 1000; truncated says when there are more). Price: 5 credits.
GET
/
companies
/
{id}
/
branches
Registered office and every registered branch of one company.
curl --request GET \
--url https://api.syrto.ai/companies/{id}/branches \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.syrto.ai/companies/{id}/branches"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.syrto.ai/companies/{id}/branches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.syrto.ai/companies/{id}/branches",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.syrto.ai/companies/{id}/branches"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.syrto.ai/companies/{id}/branches")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.syrto.ai/companies/{id}/branches")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"companyId": "<string>",
"headquarters": {
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"postalCode": "<string>",
"countryCode": "<string>",
"nuts1": "<string>",
"nuts2": "<string>",
"nuts3": "<string>",
"lau": "<string>"
},
"branches": [
{
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"postalCode": "<string>",
"countryCode": "<string>",
"nuts1": "<string>",
"nuts2": "<string>",
"nuts3": "<string>",
"lau": "<string>"
}
],
"branchesTotal": 1,
"truncated": true
},
"meta": {
"requestId": "<string>",
"endpoint": "<string>",
"usage": {
"quantity": 123,
"unit": "<string>"
},
"warnings": [
{
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "missing_api_key",
"message": "<string>",
"requestId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "missing_api_key",
"message": "<string>",
"requestId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "missing_api_key",
"message": "<string>",
"requestId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "missing_api_key",
"message": "<string>",
"requestId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "missing_api_key",
"message": "<string>",
"requestId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "missing_api_key",
"message": "<string>",
"requestId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "missing_api_key",
"message": "<string>",
"requestId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "missing_api_key",
"message": "<string>",
"requestId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "missing_api_key",
"message": "<string>",
"requestId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "missing_api_key",
"message": "<string>",
"requestId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}Authorizations
Org-scoped WorkOS API key (sk_...), sent as Authorization: Bearer <key>. Admins create and revoke keys in the Syrto dashboard: https://dashboard.syrto.ai/api-keys
Path Parameters
A companyId (Syrto id of one statement record, starts with Zm86) or a tax id (11-digit partita IVA or 16-character codice fiscale). A tax id resolves to the record selected by statementBasis.
Required string length:
1 - 100Example:
"02579690039"
Query Parameters
Language of metric names, labels and descriptions (never of field names or slugs). Omitted: the account's default.
Available options:
it, en Was this page helpful?